<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.mosty.rwzx.mapper.TbRwTaskLogMapper">
    <resultMap type="com.mosty.base.model.entity.rwzx.TbRwTaskLog" id="tbRwTaskLog">
        <result property="id" column="id" jdbcType="VARCHAR"/>
        <result property="rwid" column="sjlyid" jdbcType="VARCHAR"/>
        <result property="rzlx" column="jkdbgbh" jdbcType="VARCHAR"/>
        <result property="rznr" column="sbbh" jdbcType="VARCHAR"/>
        <result property="jd" column="jd" jdbcType="NUMERIC"/>
        <result property="wd" column="wd" jdbcType="NUMERIC"/>
        <result property="zb" column="zb" typeHandler="com.mosty.base.feign.handle.PointTypeHandler"/>
        <result property="zbhash" column="zbhash" jdbcType="VARCHAR"/>
        <result property="bgsj" column="bgsj" jdbcType="TIMESTAMP"/>
        <result property="bgrid" column="xzqhdm" jdbcType="VARCHAR"/>
        <result property="bgrxm" column="dzmc" jdbcType="VARCHAR"/>
        <result property="bgrsfzh" column="sblxdm" jdbcType="VARCHAR"/>
        <result property="bgrdhhm" column="sjlxdm" jdbcType="VARCHAR"/>
        <result property="ssbm" column="ssbm" jdbcType="VARCHAR"/>
        <result property="ssbmdm" column="ssbmdm" jdbcType="VARCHAR"/>
        <result property="ssbmid" column="ssbmid" jdbcType="VARCHAR"/>
        <result property="ssxgaj" column="ssxgaj" jdbcType="VARCHAR"/>
        <result property="ssxgajdm" column="ssxgajdm" jdbcType="VARCHAR"/>
        <result property="ssxgajid" column="ssxgajid" jdbcType="VARCHAR"/>
        <result property="sssgaj" column="sssgaj" jdbcType="VARCHAR"/>
        <result property="sssgajdm" column="sssgajdm" jdbcType="VARCHAR"/>
        <result property="sssgajid" column="sssgajid" jdbcType="VARCHAR"/>
        <result property="xtSjly" column="xt_sjly" jdbcType="VARCHAR"/>
        <result property="xtSjzt" column="xt_sjzt" jdbcType="VARCHAR"/>
        <result property="xtScbz" column="xt_scbz" jdbcType="VARCHAR"/>
        <result property="xtCjip" column="xt_cjip" jdbcType="VARCHAR"/>
        <result property="xtCjsj" column="xt_cjsj" jdbcType="TIMESTAMP"/>
        <result property="xtCjrId" column="xt_cjr_id" jdbcType="VARCHAR"/>
        <result property="xtCjr" column="xt_cjr" jdbcType="VARCHAR"/>
        <result property="xtCjbmdm" column="xt_cjbmdm" jdbcType="VARCHAR"/>
        <result property="xtCjbmmc" column="xt_cjbmmc" jdbcType="VARCHAR"/>
        <result property="xtZhgxip" column="xt_zhgxip" jdbcType="VARCHAR"/>
        <result property="xtZhgxsj" column="xt_zhgxsj" jdbcType="TIMESTAMP"/>
        <result property="xtZhgxrid" column="xt_zhgxrid" jdbcType="VARCHAR"/>
        <result property="xtZhgxr" column="xt_zhgxr" jdbcType="VARCHAR"/>
        <result property="xtZhgxbmdm" column="xt_zhgxbmdm" jdbcType="VARCHAR"/>
        <result property="xtZhgxbm" column="xt_zhgxbm" jdbcType="VARCHAR"/>
        <result property="bz" column="bz" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="base_column_list">

                id,rwid,rzlx,rznr,jd,wd,zbhash,bgsj,bgrid,bgrxm,bgrsfzh,bgrdhhm,ssbmid,ssxgajid,sssgajid,
                ssbm, ssbmdm, ssxgaj, ssxgajdm, sssgaj, sssgajdm, xt_sjly, xt_sjzt, xt_scbz,
                xt_cjip, xt_cjsj, xt_cjr_id, xt_cjr, xt_cjbmdm, xt_cjbmmc, xt_zhgxip, xt_zhgxsj, xt_zhgxrid,
                xt_zhgxr, xt_zhgxbmdm, xt_zhgxbm, bz

    </sql>

    <sql id="zb_sql">

                ST_ASWKT
                (zb) as zb

    </sql>

    <insert id="insertEntity" parameterType="com.mosty.base.model.entity.rwzx.TbRwTaskLog">

                insert into tb_rw_task_log(
                id,rwid,rzlx,rznr,jd,wd,zb,zbhash,bgsj,bgrid,bgrxm,bgrsfzh,bgrdhhm,ssbmid,ssxgajid,sssgajid,
                ssbm, ssbmdm, ssxgaj, ssxgajdm, sssgaj, sssgajdm, xt_sjly, xt_sjzt, xt_scbz,
                xt_cjip, xt_cjsj, xt_cjr_id, xt_cjr, xt_cjbmdm, xt_cjbmmc, xt_zhgxip, xt_zhgxsj, xt_zhgxrid,
                xt_zhgxr, xt_zhgxbmdm, xt_zhgxbm, bz
                )values (
                #{id},#{rwid},#{rzlx},#{rznr},#{jd},#{wd},
                ST_GEOMFROMTEXT(#{zb,typeHandler = com.mosty.base.feign.handle.PointTypeHandler}),
                #{zbhash},#{bgsj},#{bgrid},#{bgrxm},#{bgrsfzh},#{bgrdhhm},#{ssbmid},#{ssxgajid},#{sssgajid},
                #{ssbm}, #{ssbmdm}, #{ssxgaj}, #{ssxgajdm}, #{sssgaj}, #{sssgajdm}, #{xtSjly}, #{xtSjzt}, #{xtScbz},
                #{xtCjip}, #{xtCjsj}, #{xtCjrId}, #{xtCjr}, #{xtCjbmdm}, #{xtCjbmmc}, #{xtZhgxip}, #{xtZhgxsj},
                #{xtZhgxrid},#{xtZhgxr}, #{xtZhgxbmdm}, #{xtZhgxbm}, #{bz}
                )

    </insert>
</mapper>